%global _empty_manifest_terminate_build 0
Name:           python-ironicclient
Version:        4.6.1
Release:        3
Summary:        OpenStack Bare Metal Provisioning API Client Library
License:        Apache-2.0
URL:            https://docs.openstack.org/python-ironicclient/latest/
Source0:        https://files.pythonhosted.org/packages/89/35/ff0ffe2885dbbbb5e80b6489242708d8a07197b81fa8fcad79f65076b9af/python-ironicclient-4.6.1.tar.gz
BuildArch:      noarch
%description
This is a client for the OpenStack Bare Metal API.

%package -n python3-ironicclient
Summary:        OpenStack Bare Metal Provisioning API Client Library
Provides:       python-ironicclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-pyyaml
BuildRequires:  python3-appdirs
BuildRequires:  python3-cliff
BuildRequires:  python3-dogpile-cache
BuildRequires:  python3-jsonschema
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-openstacksdk
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-requests
BuildRequires:  python3-stevedore
BuildRequires:  python3-openstackclient
# Tests running requires
BuildRequires:  python3-coverage
BuildRequires:  python3-ddt
BuildRequires:  python3-fixtures
BuildRequires:  python3-oslotest
BuildRequires:  python3-openstackclient
BuildRequires:  python3-requests-mock
BuildRequires:  python3-stestr
BuildRequires:  python3-tempest
BuildRequires:  python3-testtools
# General requires
Requires:       python3-pyyaml
Requires:       python3-appdirs
Requires:       python3-cliff
Requires:       python3-dogpile-cache
Requires:       python3-jsonschema
Requires:       python3-keystoneauth1
Requires:       python3-openstacksdk
Requires:       python3-osc-lib
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-requests
Requires:       python3-stevedore
Requires:       python3-openstackclient
# Tests running requires
Requires:       python3-coverage
Requires:       python3-ddt
Requires:       python3-fixtures
Requires:       python3-oslotest
Requires:       python3-openstackclient
Requires:       python3-requests-mock
Requires:       python3-stestr
Requires:       python3-tempest
Requires:       python3-testtools
%description -n python3-ironicclient
This is a client for the OpenStack Bare Metal API.

%package help
Summary:        OpenStack Bare Metal Provisioning API Client Library
Provides:       python3-ironicclient-doc
%description help
This is a client for the OpenStack Bare Metal API.

%prep
%autosetup -n python-ironicclient-4.6.1

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-ironicclient -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 4.6.1-3
- Fix install error

* Fri Aug 13 2021 wangxiyuan <wangxiyuan1007@gmail.com> - 4.6.1-2
- Drop osc-lib-test requirement
* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 4.6.1-1
- Update to 4.6.1
* Thu Jan 12 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
